### Type Parameters

### Hierarchy

- PoiExtractor

## Index

### Properties

- dist
- id
- sort
- title
- z

## Properties

### dist

dist: ((arg0: unknown) => number)

- Defined in src/profile/elevationComponent.js:35

#### Type declaration

- - (arg0: unknown): number

  - Extract the distance from origin of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns number

### id

id: ((arg0: unknown) => string)

- Defined in src/profile/elevationComponent.js:34

#### Type declaration

- - (arg0: unknown): string

  - Extract the id of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns string

### sort

sort: ((arg0: unknown) => number)

- Defined in src/profile/elevationComponent.js:37

#### Type declaration

- - (arg0: unknown): number

  - Extract the sequence number of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns number

### title

title: ((arg0: unknown) => string)

- Defined in src/profile/elevationComponent.js:38

#### Type declaration

- - (arg0: unknown): string

  - Extract the title of a POI.

    #### Parameters

    - ##### arg0: unknown

    #### Returns string

### z

z: ((arg0: unknown, arg1: number) => number)

- Defined in src/profile/elevationComponent.js:36

#### Type declaration

- - (arg0: unknown, arg1: number): number

  - Extract the elevation of a POI.

    #### Parameters

    - ##### arg0: unknown

    - ##### arg1: number

    #### Returns number

Generated using TypeDoc